# Created by pyp2rpm-3.3.3
%global pypi_name flask-login

Name:           python-%{pypi_name}
Version:        0.6.2
Release:        %mkrel 1
Summary:        User session management for Flask
Group:          Development/Python
License:        MIT
URL:            https://github.com/maxcountryman/flask-login
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/Flask-Login-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Flask-Login provides user session management for Flask. It handles the common
tasks of logging in, logging out, and remembering your users' sessions over
extended periods of time.

Flask-Login is not bound to any particular database system or permissions
model. The only requirement is that your user objects implement a few methods,
and that you provide a callback to the extension capable of loading users from
their ID.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(flask)

%description -n python3-%{pypi_name}
Flask-Login provides user session management for Flask. It handles the common
tasks of logging in, logging out, and remembering your users' sessions over
extended periods of time.

Flask-Login is not bound to any particular database system or permissions
model. The only requirement is that your user objects implement a few methods,
and that you provide a callback to the extension capable of loading users from
their ID.

%prep
%autosetup -n Flask-Login-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_login

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md



%changelog
* Wed Sep 07 2022 neoclust <neoclust> 0.6.2-1.mga9
+ Revision: 1884723
- New version  0.6.2

* Wed Mar 23 2022 umeabot <umeabot> 0.5.0-2.mga9
+ Revision: 1823761
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 0.5.0-1.mga9
+ Revision: 1784747
- version 0.5.0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.4.1-3.mga9
+ Revision: 1732636
- Rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 0.4.1-2.mga8
+ Revision: 1538948
- Mageia 8 Mass Rebuild

* Thu Nov 28 2019 wally <wally> 0.4.1-1.mga8
+ Revision: 1463374
- imported package python-flask-login

